Subject: bug#8373: why not give user an extra variable when compile emacs under windows?

From: Xu Jingtao <[email-masked]>
Date: Wed, 30 Mar 2011 10:09:49 +0800

parse "=" in dos batch script is very difficult,
because dos batch has poor native string process commands as i could see. 
I think the easy fix would be writing an extra console commands parsing command line 
or give user an extra variable to set the cflags as i have mentioned.

Best regards.
Jingtao
> On Tue, Mar 29, 2011 at 16:45, Xu Jingtao <[email-masked]> wrote:
> 
> > But under windows os,the "=" is treated as white space when passed to batch arguments.
> > So I have to modify this gcc definition in emacs's source tree which is not my pleasure.
> > Why not give user an extra variable when compile emacs under windows?
> 
> I think the proper fix would be finding a way to pass arguments
> containing "=" to configure.bat. That might prove difficult, though,
> at least with command.com.
> 
>     Juanma